Bug 491212 - Minstrel is not default rate control algorithm in kernel-2.6.29-0.64.rc8.git4.fc10
Minstrel is not default rate control algorithm in kernel-2.6.29-0.64.rc8.git4...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 16:14 EDT by Ryan Farmer
Modified: 2009-07-20 15:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 15:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Farmer 2009-03-19 16:14:04 EDT
Description of problem:

Minstrel is the new wireless rate control algorithm, introduced as an option in the 2.6.28 series and as default in 2.6.29, with the old algorithm many wifi devices were scaled back way further than necessary, including all the way back to 1M when only about 10 feet from the router.

In my opinion, Minstrel should be enabled in these new kernels as it was made the default upstream and seems to work much better in the several chipsets I've tried it with on my vanilla kernels.

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.64.rc8.git4.fc10 (from Koji)


How reproducible:


Steps to Reproduce:
1. Use an 802.11g wireless chipset (I have Ralink RT61 and Broadcom 4318) to connect to the router. (Mine is a Linksys WRT54G running DD-WRT)
2. Mess around for a few minutes and wait for the rate to start dialing back.
3. Observe that with Minstrel it chooses a more rational/optimal rate.
  
Actual results:

The automatic rate control behaves exactly as it does with kernel 2.6.27 included with Fedora 10, it dials back to 1M as evidenced by actual throughput testing.

I had to work around this by manually setting my rate to something higher (But not too high or else the connection becomes unstable) using iwconfig wlan0 rate whatever.

Expected results:

Automatic should select a sane connection rate, Minstrel does this.
Comment 1 John W. Linville 2009-03-20 11:27:22 EDT
Change should be available in kernel-2.6.29-0.67.rc8.git4.fc10, building here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=94881
Comment 2 Ryan Farmer 2009-03-22 11:44:40 EDT
Works great!

Thanks.
Comment 3 Tomasz Torcz 2009-03-26 15:45:52 EDT
It still doesn't work for me.

# uname -a; dmesg | grep "rate control"
Linux sandworm.fordon.pl.eu.org 2.6.29-9.fc11.x86_64 #1 SMP Thu Mar 26 10:03:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
phy0: Selected rate control algorithm 'iwl-agn-rs'

I have no special configuration for iwlagn.ko
Comment 4 John W. Linville 2009-03-26 21:40:58 EDT
Some drivers (including iwlagn) have their own custom rate control algorithms, so they don't use the default.

Note You need to log in before you can comment on or make changes to this bug.